org.apache.mina.statemachine.annotation

## Annotation Type State

-     @Retention(value=RUNTIME)
      @Target(value=FIELD)
      public @interface State

  Annotation used to define the states in a state machine. Only applies to `static final String` fields. The value of the string will be used as state id.
  Author:
    Apache MINA Project

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `value` Sets the id of the parent state.

- - ### Element Detail

    - #### value

          public abstract String value

      Sets the id of the parent state. The default is no parent.
      Default:
        "__root__"

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.